Subject: Re: linux-next: manual merge of the kvms390 tree with the s390 tree

From: Christian Borntraeger <[email-masked]>
Date: Tue, 24 Jan 2023 12:19:23 +0100

hAm 23.01.23 um 20:02 schrieb Anthony Krowiak:
> 
> On 1/22/23 8:12 PM, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the kvms390 tree got a conflict in:
>>
>>    drivers/s390/crypto/vfio_ap_ops.c
>>
>> between commit:
>>
>>    0daf9878a799 ("s390/vfio_ap: check TAPQ response code when waiting for queue reset")
>>
>> from the s390 tree and commit:
>>
>>    bedac519eefa ("s390/vfio-ap: check TAPQ response code when waiting for queue reset")
>>
>> from the kvms390 tree.
>>
>> They seem to do the same thing, so I used the version of this file from
>> the s390 tree as it's commit is much newer and has other changes to this
>> file i.e. I effectively dropped the kvms390 tree commit.
> 
> 
> That's odd, the patch series posted to the kernel mailing lists did not have both of those patches. I think the problem may have occurred because there was an earlier version of the patch in question that was used to debug a problem in our CI. That patch should have been reverted prior to installing the latest version.

Yes, that patch was part of the kvms390 tree and it was old. I removed it. Sorry for the left-over
The one in the s390 tree is the correct one:

https://lore.kernel.org/all/[email-masked]/
is now
https://git.kernel.org/pub/scm/linux/kernel/git/s390/linux.git/commit/?h=for-next&id=0daf9878a7990058e74025493820bce0f67654c4

this should be ok now?

Christian